Bug 29524 - Cannot set a new value for privacy_guarantor_checkouts in memberentry.pl
Summary: Cannot set a new value for privacy_guarantor_checkouts in memberentry.pl
Status: Pushed to oldoldoldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low critical (vote)
Assignee: Jonathan Druart
QA Contact: Kyle M Hall
URL:
Keywords: rel_20_11_candidate
: 29250 (view as bug list)
Depends on: 28935
Blocks:
  Show dependency treegraph
 
Reported: 2021-11-19 00:51 UTC by Lucas Gass
Modified: 2021-12-07 14:48 UTC (History)
9 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.11.00,21.05.05,20.11.12,20.05.18,19.11.24


Attachments
Bug 29524: (bug 28935 follow-up) Restore modification of some patron's attributes (1.92 KB, patch)
2021-11-22 13:29 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29524: (bug 28935 follow-up) Restore modification of some patron's attributes (1.97 KB, patch)
2021-11-22 14:27 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29524: (bug 28935 follow-up) Restore modification of some patron's attributes (2.02 KB, patch)
2021-11-22 16:20 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Lucas Gass 2021-11-19 00:51:32 UTC
To recreate:

-Set AllowStaffToSetCheckoutsVisibilityForGuarantor to allow.
-Look at what the value for privacy_guarantor_checkouts is in the database.
-Find a juvenile patron and try to set the value of privacy_guarantor_checkouts opposite of what is in the DB, you cannot. The value stays that same whether you choose yes or no.
Comment 1 Jonathan Druart 2021-11-22 13:24:38 UTC
Caused by
  commit 5f37d8d2f496ce3c9fd6dfd5a2efa7a9fe435af3
  Bug 28935: No filtering on patron's data on member entry pages
Comment 2 Jonathan Druart 2021-11-22 13:29:10 UTC
Created attachment 127928 [details] [review]
Bug 29524: (bug 28935 follow-up) Restore modification of some patron's attributes

On
  commit 5f37d8d2f496ce3c9fd6dfd5a2efa7a9fe435af3
  Bug 28935: No filtering on patron's data on member entry pages
we restricted the list of the columns from the borrowers table that can
be modified from the patron edit view.
We were too restrictive, the following 3 attributes can be edited from
this form: privacy_guarantor_fines, privacy_guarantor_checkouts, checkprevcheckout and lang

Test plan:
Turn on the following prefs:
- AllowStaffToSetFinesVisibilityForGuarantor
- AllowStaffToSetCheckoutsVisibilityForGuarantor
- CheckPrevCheckout (set to 'unless overridden *')
- TranslateNotices
Edit a patron and see the 4 different options are now displayed.
Change their value, save, edit again
Confirm that the values have been saved
Comment 3 Owen Leonard 2021-11-22 14:27:42 UTC
Created attachment 127931 [details] [review]
Bug 29524: (bug 28935 follow-up) Restore modification of some patron's attributes

On
  commit 5f37d8d2f496ce3c9fd6dfd5a2efa7a9fe435af3
  Bug 28935: No filtering on patron's data on member entry pages
we restricted the list of the columns from the borrowers table that can
be modified from the patron edit view.
We were too restrictive, the following 3 attributes can be edited from
this form: privacy_guarantor_fines, privacy_guarantor_checkouts,
checkprevcheckout and lang

Test plan:
Turn on the following prefs:
- AllowStaffToSetFinesVisibilityForGuarantor
- AllowStaffToSetCheckoutsVisibilityForGuarantor
- CheckPrevCheckout (set to 'unless overridden *')
- TranslateNotices
Edit a patron and see the 4 different options are now displayed.
Change their value, save, edit again
Confirm that the values have been saved

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 4 Kyle M Hall 2021-11-22 16:20:56 UTC
Created attachment 127935 [details] [review]
Bug 29524: (bug 28935 follow-up) Restore modification of some patron's attributes

On
  commit 5f37d8d2f496ce3c9fd6dfd5a2efa7a9fe435af3
  Bug 28935: No filtering on patron's data on member entry pages
we restricted the list of the columns from the borrowers table that can
be modified from the patron edit view.
We were too restrictive, the following 3 attributes can be edited from
this form: privacy_guarantor_fines, privacy_guarantor_checkouts,
checkprevcheckout and lang

Test plan:
Turn on the following prefs:
- AllowStaffToSetFinesVisibilityForGuarantor
- AllowStaffToSetCheckoutsVisibilityForGuarantor
- CheckPrevCheckout (set to 'unless overridden *')
- TranslateNotices
Edit a patron and see the 4 different options are now displayed.
Change their value, save, edit again
Confirm that the values have been saved

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 5 Jonathan Druart 2021-11-24 08:51:42 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 6 Kyle M Hall 2021-11-24 10:53:45 UTC
Pushed to 21.05.x for 21.05.05
Comment 7 Fridolin Somers 2021-11-25 20:59:02 UTC
Pushed to 20.11.x for 20.11.12
Comment 8 Victor Grousset/tuxayo 2021-11-27 22:26:49 UTC
Backported: Pushed to 20.05.x branch for 20.05.18
Comment 9 wainuiwitikapark 2021-12-03 00:22:52 UTC
Backported: Pushed to 19.11.x branch for 19.11.24
Comment 10 Andrew Fuerste-Henry 2021-12-07 14:48:04 UTC
*** Bug 29250 has been marked as a duplicate of this bug. ***